Subject: bug#20969: f90-indent-subprogram indents incorrectly when the buffer includes type, extend(...)

From: Angelo Graziosi <[email-masked]>
Date: Sat, 04 Jul 2015 10:26:37 +0200

Il 04/07/2015 02:13, Glenn Morris ha scritto:
> Works for me.

Hmm... indeed the Zach example works.. but try with the attached test 
case.. It comes with the right formatting.. Select, now, from 'module' 
to 'end module', then press TAB.. The formatting becomes totally broken.

Now, remove, from the original foo.f90, the text ', extends(Shape),' 
(after "type" keyword), and repeat (select from 'module' to 'end 
module', then press TAB..). The formatting is not changed! it remans 
unbroken..

So, the 'extends' keyword, in some manner, breaks the formatting.

Angelo